from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPrinterServer(XInterface, Protocol):
    def getPrinterNames(self) -> list[str]: ...
    def createPrinter(self, printerName: str) -> XPrinter: ...
    def createInfoPrinter(self, printerName: str) -> XInfoPrinter: ...
